slepc-3.21.1 2024-04-26
Report Typos and Errors

# STGetKSP

Gets the KSP object associated with the spectral transformation.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STGetKSP(ST st,KSP* ksp)

Collective

### Input Parameter

| st | - the spectral transformation context

### Output Parameter

| ksp | - the linear system context

### See Also

STSetKSP()

### Level

intermediate

### Location

src/sys/classes/st/interface/stsles.c

### Examples

src/eps/tutorials/ex7.c
src/eps/tutorials/ex24.c
src/eps/tutorials/ex43.c
src/pep/tutorials/ex38.c
src/pep/tutorials/ex40.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages